Antom, leading provider of tailored payment solutions

inquireAvailableQuota

POST /v1/aba/accounts/inquireAvailableQuota

Use this interface to to inquire the quota of withdrawable balance to China.

Structure

A message consists of a header and body. The following sections are focused on the body structure. For the header structure, see: 


Note: Set the data type of each field (except array) as String. This means that you must use double quotation marks (" ") to enclose the field value. Examples:

  • If the data type of a field is Integer and its value is 20, set it as "20". 
  • If the data type of a field is Boolean and its value is true, set it as "true". 

Request parameters

currency String  REQUIRED

The currency code used for the FX settlement quota, which follows the ISO 4217 standard. 

More information:

  • Maximum length: 3 characters

Response parameters

result Object  REQUIRED

The result of the API call.

Show child parameters

availableQuota AvailableQuota  REQUIRED

Indicates the available FX settlement quota for declaration.

Note: This parameter is returned on demand only when the value of result.resultStatus is ​S​.

Show child parameters
API Explorer

Request

URL
Method
POST
Request Body

Response

Response Body

Result/Error codes

CodeValueMessageFurther action
SUCCESSSsuccess.

API is successfully called, not resembling order status

UNKNOWN_EXCEPTIONUThe API call is failed, which is caused by unknown reasons.

The service might be down, retry later. If the issue persists, contact Antom Technical Support.

PARAM_ILLEGALFIllegal parameters exist. For example, a non-numeric input, or an invalid date.

Check and verify whether the request fields, including the header fields and body fields, are correct and valid.
For details on the fields of each API, see the specific API Structure section.

CONTRACT_CHECK_FAILFThe contract check failed.

Check the contract status with Antom before retrying.

INVALID_APIFThe called API is invalid or not active.

Check whether the correct API is being called.

INVALID_CLIENTFThe client is invalid.

The Client ID does not exist or is invalid.

INVALID_SIGNATUREFThe signature is invalid.

Make sure the request is properly signed with a valid signature.

METHOD_NOT_SUPPORTEDFThe server does not implement the requested HTTP method.

Ensure the HTTP method is ​POST​.

USER_NOT_EXISTFThe user does not exist.

Retry with the correct user information.

ACCOUNT_NOT_EXISTFBalance accounts does not exist.

Retry with the correct account information.

CURRENCY_NOT_SUPPORTFThe currency is not supported.

Make sure the currency input is correct and try again.